[package]
name = "ruffle_desktop"
authors.workspace = true
edition.workspace = true
homepage.workspace = true
license.workspace = true
repository.workspace = true
version.workspace = true

[dependencies]
clap = { version = "4.3.1", features = ["derive"] }
cpal = "0.15.2"
egui = "0.22.0"
egui-wgpu = { version = "0.22.0", features = ["winit"] }
egui-winit = "0.22.0"
ruffle_core = { path = "../core", features = ["audio", "clap", "mp3", "nellymoser", "default_compatibility_rules", "egui"] }
ruffle_render = { path = "../render", features = ["clap"] }
ruffle_render_wgpu = { path = "../render/wgpu", features = ["clap"] }
ruffle_video_software = { path = "../video/software", optional = true }
tracing-subscriber = { version = "0.3.17", features = ["env-filter"] }
generational-arena = "0.2.9"
tracing = "0.1.37"
winit = "0.28.6"
webbrowser = "0.8.10"
url = "2.3.1"
arboard = "3.2.0"
dirs = "5.0"
isahc = "1.7.2"
rfd = "0.11.4"
anyhow = "1.0"
bytemuck = "1.13.1"
os_info = { version = "3", default-features = false }
unic-langid = "0.9.1"
sys-locale = "0.3.0"
wgpu = { version = "0.16.1" }
futures = "0.3.28"
chrono = { version = "0.4", default-features = false, features = [] }
fluent-templates = "0.8.0"

# Deliberately held back to match tracy client used by profiling crate
tracing-tracy = { version = "=0.10.0", optional = true }

[target.'cfg(windows)'.dependencies]
winapi = "0.3.9"

[build-dependencies]
embed-resource = "2"
vergen = { version = "8.2.1", features = ["build", "git", "gitcl", "cargo"] }

[features]
default = ["software_video"]

# core features
avm_debug = ["ruffle_core/avm_debug"]
lzma = ["ruffle_core/lzma"]
software_video = ["ruffle_video_software"]
tracy = ["tracing-tracy", "ruffle_render_wgpu/profile-with-tracy"]

# wgpu features
render_debug_labels = ["ruffle_render_wgpu/render_debug_labels"]
render_trace = ["ruffle_render_wgpu/render_trace"]

# sandboxing
sandbox = []
